# TSPVodeSetType

Sets the method that PVode will use for integration.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSPVodeSetType(TS ts,TSPVodeType type)

Collective on TS

### Input parameters

| ts | - the time-step context
| type | - one of PVODE_ADAMS or PVODE_BDF

Contributed by: Liyang Xu

### Keywords

Adams, backward differentiation formula

### See Also

TSPVodeGetIterations(), TSPVodeSetGMRESRestart(),
TSPVodeSetLinearTolerance(), TSPVodeSetGramSchmidtType(), TSPVodeSetTolerance(), TSPVodeGetIterations(), TSPVodeSetType(), TSPVodeSetGMRESRestart(), TSPVodeSetLinearTolerance(), TSPVodeSetTolerance(), TSPVodeGetPC(), TSPVodeSetExactFinalTime()

Level:intermediate
Location:src/ts/impls/implicit/pvode/petscpvode.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages